=== tests/requirements.txt ===
pytest==8.3.4
pluggy==1.5.0
pytest-cov==5.0.0
coverage>=7.6.1
pytest-datafiles==3.0.0
pytest-mock==3.14.0
pytest-timeout==2.3.1
pytest-xdist==3.6.1
